Last modified: 2013-06-18 13:40:14 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 29339 - create a test wiki for RTL development
create a test wiki for RTL development
Status: RESOLVED WONTFIX
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: High enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
: ops
Depends on:
Blocks: wikis-to-create
  Show dependency treegraph
 
Reported: 2011-06-10 16:23 UTC by Amir E. Aharoni
Modified: 2013-06-18 13:40 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Amir E. Aharoni 2011-06-10 16:23:20 UTC
Following an email conversation with Mark Hershberger and Sumana Harihareswara, i request a full-fledged wiki for testing RTL features. Such a wiki is created every now and then as an "Arabic prototype" from the time of the Vector deployment or some such, but the reality is that such wikis are usually not maintained and are neglected after it served some purpose. This new wiki should get at least the same amount of care as test.wikipedia.org.

It may run code from the trunk or something close to it and be used for testing new MediaWiki versions before deployment. It can be used for testing new features, extensions and translations that need special testing in RTL environment.

Just as a reminder, neither translatewiki.net nor test.wikipedia.org can be used for this, because they are LTR wikis, at least until bug 6100 is resolved.

This wiki will be useful for many languages - Arabic, Persian, Hebrew, Divehi and others. If it's possible, then the default interface language for this wiki should be English, but if defining English as the interface language forces LTR directionality, then it should be Arabic - i suppose that it is the RTL language with the highest demand.
Comment 1 Hydriz Scholz 2011-06-10 17:17:53 UTC
There *is* English that is set to be in RTL in MediaWiki. I believe we can use that to run this wiki, but it needs a fallback though...
Comment 2 Brion Vibber 2011-06-10 18:04:53 UTC
test.wikipedia.org doesn't really get a lot of _care_... :) what sort of maintenance would you be expecting out of it?
Comment 3 Amir E. Aharoni 2011-06-10 18:15:17 UTC
If would be enough if it wouldn't be dysfunctional, as http://prototype.wikimedia.org/release-ar often is. For example, its search index seems out of date. (Try searching it for "article"; you won't find anything, even though this word appears on the page "ABCDE".)

If http://prototype.wikimedia.org/release-ar will get as much care as test.wikipedia.org, then a new wiki is not needed.
Comment 4 Roan Kattouw 2011-06-10 19:48:04 UTC
(In reply to comment #3)
> If http://prototype.wikimedia.org/release-ar will get as much care as
> test.wikipedia.org, then a new wiki is not needed.
We'll be moving all of these prototype and test wiki's to Ryan's virtualization thing once it's set up, right?
Comment 5 Chad H. 2011-06-14 19:44:58 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > If http://prototype.wikimedia.org/release-ar will get as much care as
> > test.wikipedia.org, then a new wiki is not needed.
> We'll be moving all of these prototype and test wiki's to Ryan's virtualization
> thing once it's set up, right?

Well the ones worth saving, at least. I don't think we should just copy them over en masse.
Comment 6 Siebrand Mazeland 2011-08-02 12:33:43 UTC
Remove dependency on bug 6100. A Wikimedia test wiki in RTL is not required to get 6100 resolved. Test wikis can (and are) available elsewhere.
Comment 7 Amir E. Aharoni 2011-08-02 22:15:26 UTC
Thanks to the advent of the modern directionality improvement this is not needed any more and can be closed.
Comment 8 Siebrand Mazeland 2011-08-03 06:28:50 UTC
WONTFIX per comment 7 of the reporter.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links